/**
 * $Id: NullArgsAllowed.java,v 1.1 2008/11/06 22:12:42 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 24.04.2008 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

/**
 * Use this annotation to mark methods which are allowed to have null values
 * as argument.
 * <br/>
 * The {@link patterntesting.java.runtime.AbstractNullPointerTrap} will
 * watch this precondition.
 * 
 * @see patterntesting.java.runtime.AbstractNullPointerTrap
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 24.04.2008
 * @version $Revision: 1.1 $
 */
public @interface NullArgsAllowed {

}

/**
 * $Log: NullArgsAllowed.java,v $
 * Revision 1.1  2008/11/06 22:12:42  oboehm
 * begin of split in runtime components and others
 *
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/annotation/NullArgsAllowed.java,v $
 */
