/**
 * $Id: UnsupportedOperation.java,v 1.2 2008/11/07 22:06:59 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 19.10.2008 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.annotation;

import java.lang.annotation.*;

/**
 * Eclipse and other tools will generate default implementation for you if you
 * want to implement an interface. The problem with this implementation is
 * that you must always overwrite this default implementation.
 * <br/>
 * To be able to mark these methods as "not yet finished" you can put this
 * annotation in front of it.
 * 
 * @see patterntesting.sample.Friction how to use it
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 19.10.2008
 * @version $Revision: 1.2 $
 */
@Retention(RetentionPolicy.RUNTIME)
public @interface UnsupportedOperation {

}

/**
 * $Log: UnsupportedOperation.java,v $
 * Revision 1.2  2008/11/07 22:06:59  oboehm
 * doc and url updated
 *
 * Revision 1.1  2008/11/06 22:12:42  oboehm
 * begin of split in runtime components and others
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/annotation/UnsupportedOperation.java,v $
 */
