/**
 * $Id: Converter.java,v 1.1 2009/01/19 15:42:57 oboehm Exp $
 *
 * Copyright (c) 2008 by Oliver Boehm
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 * 
 *   http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express orimplied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 * 
 * (c)reated 19.01.2009 by oliver (ob@oasd.de)
 */
package patterntesting.runtime.util;

/**
 * @author <a href="boehm@javatux.de">oliver</a>
 * @since 19.01.2009
 * @version $Revision: 1.1 $
 */
public class Converter {
    
    public static String getMemoryAsString(long mem) {
        if (mem < 1000) {
            return mem + " bytes";
        } else if (mem < 0x100000) {
            return (mem + 512) / 1024 + " KB";
        } else {
            return (mem + 0x80000) / 0x100000 + " MB";
        }
    }

}

/**
 * $Log: Converter.java,v $
 * Revision 1.1  2009/01/19 15:42:57  oboehm
 * MemoryGuard added (to be able to watch memory consumption)
 *
 * $Source: /cvsroot/patterntesting/PatternTesting08/patterntesting-rt/src/main/java/patterntesting/runtime/util/Converter.java,v $
 */
